<template>
  <div>
  <p class="headline">
    Encuesta de satisfacción
  </p>
  <v-card class="mx-auto" max-width="600">
    <v-card-title>
      <p class="font-weight-regular">¿Cómo fue la calidad de la </p>
      <p class="font-weight-bold">&nbsp;atención del psicólogo</p>
      <p class="font-weight-regular">&nbsp;?</p>
    </v-card-title>
    <v-card-subtitle class="pb-0">
      <v-btn-toggle v-model="doctorRating">
        <v-col md="2" offset-md="1"> 
          <v-btn color="primary" outlined value="1">
            1
          </v-btn>
          <p>Muy mala</p>
        </v-col>
        <v-col md="2" offset-md="1"> 
          <v-btn color="primary" outlined value="2">
            2
          </v-btn>
        </v-col>
        <v-col md="2" offset-md="1"> 
          <v-btn color="primary" outlined value="3">
            3
          </v-btn>
        </v-col>
        <v-col md="2" offset-md="1"> 
          <v-btn color="primary" outlined value="4">
            4
          </v-btn>
        </v-col>
        <v-col md="2" offset-md="1"> 
          <v-btn color="primary" outlined value="5">
            5
          </v-btn>
          <p>Muy buena</p>
        </v-col>
      </v-btn-toggle>
    </v-card-subtitle>
    <v-card-text class="text--primary">
      <v-container v-if="doctorRating === '1' || doctorRating === '2'" fluid >
          <h3 class="mb-2">El psicólogo...</h3>
          <v-checkbox class="ma-0 pa-0"
            v-model="selectedDoctorIssues1"
            :label="doctorIssues1[0]"
            :value="doctorIssues1[0]"
          ></v-checkbox>
          <v-checkbox class="ma-0 pa-0"
            v-model="selectedDoctorIssues1"
            :label="doctorIssues1[1]"
            :value="doctorIssues1[1]"
          ></v-checkbox>
          <v-checkbox class="ma-0 pa-0"
            v-model="selectedDoctorIssues1"
            :label="doctorIssues1[2]"
            :value="doctorIssues1[2]"
          ></v-checkbox>
          <v-checkbox class="ma-0 pa-0"
            v-model="selectedDoctorIssues1"
            :label="doctorIssues1[3]"
            :value="doctorIssues1[3]"
          ></v-checkbox>
      </v-container>
      <v-container  v-else-if="doctorRating === '3'" fluid >
          <h3 class="mb-2">El psicólogo...</h3>
          <v-checkbox class="ma-0 pa-0"
            v-model="selectedDoctorIssues3"
            :label="doctorIssues3[0]"
            :value="doctorIssues3[0]"
          ></v-checkbox>
          <v-checkbox class="ma-0 pa-0"
            v-model="selectedDoctorIssues3"
            :label="doctorIssues3[1]"
            :value="doctorIssues3[1]"
          ></v-checkbox>
          <v-checkbox class="ma-0 pa-0"
            v-model="selectedDoctorIssues3"
            :label="doctorIssues3[2]"
            :value="doctorIssues3[2]"
          ></v-checkbox>
          <v-checkbox class="ma-0 pa-0"
            v-model="selectedDoctorIssues3"
            :label="doctorIssues3[3]"
            :value="doctorIssues3[3]"
          ></v-checkbox>
      </v-container>
      <v-container v-else-if="doctorRating === '4' || doctorRating === '5'" fluid >
          <h3 class="mb-2">El psicólogo...</h3>
          <v-checkbox class="ma-0 pa-0"
            v-model="selectedDoctorIssues5"
            :label="doctorIssues5[0]"
            :value="doctorIssues5[0]"
          ></v-checkbox>
          <v-checkbox class="ma-0 pa-0"
            v-model="selectedDoctorIssues5"
            :label="doctorIssues5[1]"
            :value="doctorIssues5[1]"
          ></v-checkbox>
          <v-checkbox class="ma-0 pa-0"
            v-model="selectedDoctorIssues5"
            :label="doctorIssues5[2]"
            :value="doctorIssues5[2]"
          ></v-checkbox>
          <v-checkbox class="ma-0 pa-0"
            v-model="selectedDoctorIssues5"
            :label="doctorIssues5[3]"
            :value="doctorIssues5[3]"
          ></v-checkbox>
      </v-container>
      <h3>Comentarios adicionales</h3>
      <v-textarea v-model="doctorComments" outlined />
    </v-card-text>
    <v-card-title>
      <p class="font-weight-regular">¿Cómo fue la calidad de la </p>
      <p class="font-weight-bold">&nbsp;llamada</p>
      <p class="font-weight-regular">&nbsp;?</p>
    </v-card-title>
    <v-card-subtitle>
      <v-btn-toggle v-model="callRating">
        <v-col md="2" offset-md="1"> 
          <v-btn color="primary" outlined value="1">
            1
          </v-btn>
          <p>Muy mala</p>
        </v-col>
        <v-col md="2" offset-md="1"> 
          <v-btn color="primary" outlined value="2">
            2
          </v-btn>
        </v-col>
        <v-col md="2" offset-md="1"> 
          <v-btn color="primary" outlined value="3">
            3
          </v-btn>
        </v-col>
        <v-col md="2" offset-md="1"> 
          <v-btn color="primary" outlined value="4">
            4
          </v-btn>
        </v-col>
        <v-col md="2" offset-md="1"> 
          <v-btn color="primary" outlined value="5">
            5
          </v-btn>
          <p>Muy buena</p>
        </v-col>
      </v-btn-toggle>
    </v-card-subtitle>
    <v-card-text class="text--primary">
    <v-row>
      <v-col md="6">
        <v-container v-if="callRating==='1' || callRating==='2'" fluid>
          <h3 class="mb-2">Problemas de audio</h3>
            <v-checkbox class="ma-0 pa-0"
              v-model="selectedAudioIssues1"
              :label="audioIssues1[0]"
              :value="audioIssues1[0]"
            ></v-checkbox>
            <v-checkbox class="ma-0 pa-0"
              v-model="selectedAudioIssues1"
              :label="audioIssues1[1]"
              :value="audioIssues1[1]"
            ></v-checkbox>
            <v-checkbox class="ma-0 pa-0"
              v-model="selectedAudioIssues1"
              :label="audioIssues1[2]"
              :value="audioIssues1[2]"
            ></v-checkbox>
            <v-checkbox class="ma-0 pa-0"
              v-model="selectedAudioIssues1"
              :label="audioIssues1[3]"
              :value="audioIssues1[3]"
            ></v-checkbox>
        </v-container>
        <v-container v-else-if="callRating==='3'" fluid>
          <h3 class="mb-2">Problemas de audio</h3>
            <v-checkbox class="ma-0 pa-0"
              v-model="selectedAudioIssues3"
              :label="audioIssues3[0]"
              :value="audioIssues3[0]"
            ></v-checkbox>
            <v-checkbox class="ma-0 pa-0"
              v-model="selectedAudioIssues3"
              :label="audioIssues3[1]"
              :value="audioIssues3[1]"
            ></v-checkbox>
            <v-checkbox class="ma-0 pa-0"
              v-model="selectedAudioIssues3"
              :label="audioIssues3[2]"
              :value="audioIssues3[2]"
            ></v-checkbox>
            <v-checkbox class="ma-0 pa-0"
              v-model="selectedAudioIssues3"
              :label="audioIssues3[3]"
              :value="audioIssues3[3]"
            ></v-checkbox>
        </v-container>
        <v-container v-else-if="callRating==='4' || callRating==='5'" fluid>
          <h3 class="mb-2">Problemas de audio</h3>
            <v-checkbox class="ma-0 pa-0"
              v-model="selectedAudioIssues5"
              :label="audioIssues5[0]"
              :value="audioIssues5[0]"
            ></v-checkbox>
            <v-checkbox class="ma-0 pa-0"
              v-model="selectedAudioIssues5"
              :label="audioIssues5[1]"
              :value="audioIssues5[1]"
            ></v-checkbox>
            <v-checkbox class="ma-0 pa-0"
              v-model="selectedAudioIssues5"
              :label="audioIssues5[2]"
              :value="audioIssues5[2]"
            ></v-checkbox>
            <v-checkbox class="ma-0 pa-0"
              v-model="selectedAudioIssues5"
              :label="audioIssues5[3]"
              :value="audioIssues5[3]"
            ></v-checkbox>
        </v-container>
      </v-col>
      <v-col md="6">
        <v-container v-if="callRating==='1' || callRating==='2'" fluid>
          <h3 class="mb-2">Problemas de video</h3>
          <v-checkbox class="ma-0 pa-0"
            v-model="selectedVideoIssues1"
            :label="videoIssues1[0]"
            :value="videoIssues1[0]"
          ></v-checkbox>
          <v-checkbox class="ma-0 pa-0"
            v-model="selectedVideoIssues1"
            :label="videoIssues1[1]"
            :value="videoIssues1[1]"
          ></v-checkbox>
          <v-checkbox class="ma-0 pa-0"
            v-model="selectedVideoIssues1"
            :label="videoIssues1[2]"
            :value="videoIssues1[2]"
          ></v-checkbox>
          <v-checkbox class="ma-0 pa-0"
            v-model="selectedVideoIssues1"
            :label="videoIssues1[3]"
            :value="videoIssues1[3]"
          ></v-checkbox>
        </v-container>
        <v-container v-else-if="callRating==='3'" fluid>
          <h3 class="mb-2">Problemas de video</h3>
          <v-checkbox class="ma-0 pa-0"
            v-model="selectedVideoIssues3"
            :label="videoIssues3[0]"
            :value="videoIssues3[0]"
          ></v-checkbox>
          <v-checkbox class="ma-0 pa-0"
            v-model="selectedVideoIssues3"
            :label="videoIssues3[1]"
            :value="videoIssues3[1]"
          ></v-checkbox>
          <v-checkbox class="ma-0 pa-0"
            v-model="selectedVideoIssues3"
            :label="videoIssues3[2]"
            :value="videoIssues3[2]"
          ></v-checkbox>
          <v-checkbox class="ma-0 pa-0"
            v-model="selectedVideoIssues3"
            :label="videoIssues3[3]"
            :value="videoIssues3[3]"
          ></v-checkbox>
        </v-container>
        <v-container v-else-if="callRating==='4' || callRating==='5'" fluid>
          <h3 class="mb-2">Problemas de video</h3>
          <v-checkbox class="ma-0 pa-0"
            v-model="selectedVideoIssues5"
            :label="videoIssues5[0]"
            :value="videoIssues5[0]"
          ></v-checkbox>
          <v-checkbox class="ma-0 pa-0"
            v-model="selectedVideoIssues5"
            :label="videoIssues5[1]"
            :value="videoIssues5[1]"
          ></v-checkbox>
          <v-checkbox class="ma-0 pa-0"
            v-model="selectedVideoIssues5"
            :label="videoIssues5[2]"
            :value="videoIssues5[2]"
          ></v-checkbox>
          <v-checkbox class="ma-0 pa-0"
            v-model="selectedVideoIssues5"
            :label="videoIssues5[3]"
            :value="videoIssues5[3]"
          ></v-checkbox>
        </v-container>
      </v-col>
    </v-row>
    <h3>Comentarios adicionales</h3>
    <v-textarea class="mb-0 pb-0" v-model="callComments" outlined />
    </v-card-text>
    <v-card-actions class="d-flex justify-end">
      <v-btn depressed color="primary" style="padding:15px" rounded outlined
              @click="cancel">
        Cancelar
      </v-btn>
      <v-btn depressed color="primary" style="padding:15px" rounded @click="sendAnswers">
        Enviar
      </v-btn>
    </v-card-actions>
  </v-card>
  </div>
</template>

<script>
export default {
  name: 'PollPostSession',
  data () {
    return {
      callRating: null,
      doctorRating: null,
      selectedAudioIssues: [],
      selectedAudioIssues1: [],
      selectedAudioIssues3: [],
      selectedAudioIssues5: [],
      selectedVideoIssues: [],
      selectedVideoIssues1: [],
      selectedVideoIssues3: [],
      selectedVideoIssues5: [],
      selectedDoctorIssues:[],
      selectedDoctorIssues1: [],
      selectedDoctorIssues3: [],
      selectedDoctorIssues5: [],
      callComments: "",
      doctorComments: "",
      audioIssues1:[
        'Distorsionado',
        'Ruido de fondo',
        'Eco',
        'Voz robotizada'
      ],
      audioIssues3:[
        'En algunos momentos distorsionado',
        'En algunos momentos ruido de fondo',
        'En algunos momentos había eco',
        'En algunos momentos voz robotizada'
      ],
      audioIssues5:[
        'Nada distorsionado',
        'Sin ningún ruido de fondo',
        'Sin eco',
        'Voz fuerte y clara'
      ],
      videoIssues1:[
        'Congelado',
        'Con retraso',
        'Imagen en negro',
        'Imagen borrosa',
      ],
      videoIssues3:[
        'En algunos momentos congelado',
        'En algunos momentos con retraso',
        'En algunos momentos imagen en negro',
        'En algunos momentos imagen borrosa',
      ],
      videoIssues5:[
        'Sin congelarse',
        'Sin retraso',
        'Imagen clara',
        'Imagen nítida',
      ],
      doctorIssues1:[
        'Ingresó tarde a la videollamada',
        'No escuchó con atención',
        'No explicó claramente sus recomendaciones',
        'No fue respetuoso'
      ],
      doctorIssues3:[
        'Ingresó un poco tarde a la videollamada',
        'Por momentos no escuchó con atención',
        'Explicó de manera poco clara sus recomendaciones',
        'No fue respetuoso'
      ],
      doctorIssues5:[
        'Ingresó puntual a la llamada',
        'Escuchó con atención',
        'Explicó claramente sus recomendaciones',
        'Fue respetuoso'
      ]
    }
  },
  emits: [
    'event-1',
  ],
  methods :{
    cancel(){
      this.$router.push(`/paciente/registro-cita`);
    },
    sendAnswers() {
      if(this.doctorRating==='1' || this.doctorRating ==='2'){
        this.selectedDoctorIssues = this.selectedDoctorIssues1;
      }else if (this.doctorRating==='3'){
        this.selectedDoctorIssues = this.selectedDoctorIssues3;
      }else if (this.doctorRating==='4' || this.doctorRating ==='5'){
        this.selectedDoctorIssues = this.selectedDoctorIssues5;
      }
      if(this.callRating==='1' || this.callRating ==='2'){
        this.selectedVideoIssues = this.selectedVideoIssues1;
        this.selectedAudioIssues = this.selectedAudioIssues1;
      }else if (this.callRating==='3'){
        this.selectedVideoIssues = this.selectedVideoIssues3;
        this.selectedAudioIssues = this.selectedAudioIssues3;
      }else if (this.callRating==='4' || this.callRating ==='5'){
        this.selectedVideoIssues = this.selectedVideoIssues5;
        this.selectedAudioIssues = this.selectedAudioIssues5;
      }
      const answers = {
        callRating: this.callRating,
        selectedAudioIssues: this.selectedAudioIssues,
        selectedVideoIssues: this.selectedVideoIssues,
        callComments: this.callComments,
        doctorRating: this.doctorRating,
        selectedDoctorIssues: this.selectedDoctorIssues,
        doctorComments: this.doctorComments,
      }
      console.log("respuestas",answers);
      this.$emit('event-1', {answers});
    },
    createText(array) {
      var issuesText = "";
      for (const text of array) {
        if(issuesText === ""){
          issuesText = text;
        } else{
          issuesText = issuesText + "," + text
        } 
      }
      return issuesText;
    }
  }

};
</script>

<style>
.theme--light .v-label{
  color: black !important;
}
</style>